## EComposerNameHeader

EComposerNameHeader

## Functions

EComposerHeader * | e_composer_name_header_new ()
ENameSelector * | e_composer_name_header_get_name_selector ()
EDestination ** | e_composer_name_header_get_destinations ()
void | e_composer_name_header_add_destinations ()
void | e_composer_name_header_set_destinations ()

## Properties

ENameSelector * | name-selector | Read / Write / Construct Only

## Types and Values

struct | EComposerNameHeader

## Object Hierarchy

        GObject
        ╰── EComposerHeader
            ╰── EComposerNameHeader

## Description

## Functions

### e_composer_name_header_new ()

    EComposerHeader *
    e_composer_name_header_new (ESourceRegistry *registry,
                                const gchar *label,
                                ENameSelector *name_selector);

### e_composer_name_header_get_name_selector ()

    ENameSelector *
    e_composer_name_header_get_name_selector
                                   (EComposerNameHeader *header);

### e_composer_name_header_get_destinations ()

    EDestination **
    e_composer_name_header_get_destinations
                                   (EComposerNameHeader *header);

### e_composer_name_header_add_destinations ()

    void
    e_composer_name_header_add_destinations
                                   (EComposerNameHeader *header,
                                    EDestination **destination);

### e_composer_name_header_set_destinations ()

    void
    e_composer_name_header_set_destinations
                                   (EComposerNameHeader *header,
                                    EDestination **destinations);

## Types and Values

### struct EComposerNameHeader

    struct EComposerNameHeader;

## Property Details

### The `“name-selector”` property

      “name-selector”            ENameSelector *

Flags: Read / Write / Construct Only